#include "integer.h"
#include "graphics.h"

void LCD_Draw_Line(int orientation, unsigned char *bp, int xoffset, int ypos, int width);

int ev_check();
void ev_wait(int wevent);
void ev_flush();
void delay_ms (unsigned int ms);
void delay_us (unsigned int us);
UINT jpeg_time(int flag);
UINT get_time_tick(void);

void LCD_Gra1Addr(PIXEL *base);
void LCD_Gra2Addr(PIXEL *base);
void LCD_Gra1Mode(int mode, int layer);
void LCD_Gra2Mode(int mode, int layer);
void LCD_Gra2Size(int width, int height);
void LCD_Gra2Region(int xoff, int yoff, int width, int height);
void LCD_Gra2Area(int xoff, int yoff, int width, int height);
void LCD_Gra2Alpha(int val);
void LCD_Gra2ANoAlpa();
void LCD_FadeControl(int mode);

void pool_init();
char *malloc(int size);
int slide_show(int cpos);
int expand_jpeg(char *fname, int orientation);
int expand_thumbnail(char *fname, long thumb_offset, int picno);
int seek_DCF(int nth);

void *memcpy(void *to, const void *from, int count);
int memcmp(const void *s1, const void *s2, int count);
char *strcpy(char *dest, const char *src);
int strncmp(char *s, char *d, int cnt);
