#ifndef __EVENT_H__
#define	__EVENT_H__

#ifndef __BOARD_H__
#include "board.h"
#endif

#define	EV_PH0_UP	1
#define	EV_PH0_DOWN	2
#define	EV_PH1_UP	3
#define	EV_PH1_DOWN	4
#define	EV_PC2_UP	5
#define	EV_PC2_DOWN	6
#define	EV_PC5_UP	7
#define	EV_PC5_DOWN	8
#define	EV_PC6_UP	9
#define	EV_PC6_DOWN	10
#define	EV_PC7_UP	11
#define	EV_PC7_DOWN	12

#ifdef BOARD_HOKUTO
#define	EV_UP_KEY	EV_PC7_DOWN
#define	EV_DOWN_KEY	EV_PC6_DOWN
#define	EV_LEFT_KEY	EV_PC2_DOWN
#define	EV_RIGHT_KEY	EV_PC5_DOWN
#define	EV_SEL_RIGHT	EV_PH0_DOWN
#define	EV_SEL_LEFT	EV_PH1_DOWN
#endif	/* BOARD_HOKUTO */

#ifdef BOARD_WAKAMATSU
#define	EV_UP_KEY	EV_PC5_DOWN
#define	EV_DOWN_KEY	EV_PC7_DOWN
#define	EV_LEFT_KEY	EV_PC2_DOWN
#define	EV_RIGHT_KEY	EV_PC6_DOWN
#define	EV_SEL_RIGHT	EV_PH1_DOWN
#define	EV_SEL_LEFT	EV_PH0_DOWN
#endif	/* BOARD_WAKAMATSU */

#endif
